/* preemptdns.h
 * Part of ziproxy package.
 *
 * Copyright (c)2005 Daniel Mealha Cabrita
 *
 * Released subject to GNU General Public License.
 *
 * Preemptive name resolution feature.
 */


//#include <stdio.h>
//#include <time.h>
//#include <sys/time.h>

//If this is included in preemptdns.c, make declarations local.
#ifdef SRC_PREEMPTDNS_C
#define EXTERN
#else
#define EXTERN extern
#endif

//To stop multiple inclusions.
#ifndef SRC_PREEMPTDNS_H
#define SRC_PREEMPTDNS_H
#endif

EXTERN void preempt_dns_from_html (char* inbuf, int inlen);
