/*
 * HTMLOPT 0.1.1 (May 8th, 2007)
 * Copyright (c)2007 Daniel Mealha Cabrita
 *
 * Released under the GNU General Public License V2
 */

#ifndef HTMLOPT_H


#define HOPT_FLAGS      int

/* acceptable flags for HOPT_FLAGS */
#define HOPT_NONE       0
#define HOPT_HTMLTEXT   1 << 0
#define HOPT_HTMLTAGS   1 << 1
#define HOPT_JAVASCRIPT 1 << 2
#define HOPT_CSS        1 << 3
#define HOPT_NOCOMMENTS 1 << 4
#define HOPT_PRE        1 << 5
#define HOPT_ALL        0xffff

int hopt_pack_css (const unsigned char *src, int srclen, unsigned char *dst);
int hopt_pack_javascript (const unsigned char *src, int srclen, unsigned char *dst);
int hopt_pack_html (const unsigned char *src, int srclen, unsigned char *dst, HOPT_FLAGS flags);


#define HTMLOPT_H
#endif

