/* log.h - part of ziproxy package
 *
 * Copyright (c)2003-2004 Juraj Variny<variny@naex.sk>
 * Copyright (c)2005-2006 Daniel Mealha Cabrita
 *
 * Released subject to GNU General Public License.
 *
 * Convenient logging functions.
 */

#include "http.h"

//To stop multiple inclusions.
#ifndef SRC_LOG_H
#define SRC_LOG_H

extern void init_logging();

extern int logprintf(char *fmt, ...);

extern void logputs(char *str);
extern void logputs_hdr(char *str);

extern void logdifftime(char *activity);

int init_access_log (void);
void access_log (http_headers *client_hdr, int inlen, int outlen, const char *client_addr, struct timeval *giventime);

#endif //SRC_LOG_H
