/* text.h - part of ziproxy package
 * 2002 Juraj Variny<variny@naex.sk>
 *
 * Released subject to GNU General Public License
 *
 * HTML modification, text compression fuctions
 */


#include "http.h"

//To stop multiple inclusions.
#ifndef SRC_TEXT_H
#define SRC_TEXT_H

extern int undo_name (char *path);
extern int do_modify(http_headers *serv_hdr, http_headers *client_hdr, char *inbuf, int insize, 
		char ** outbuf, int *outsize);
extern int do_compress(http_headers *hdr, char *inbuf, int insize, 
		char ** outbuf, int *outsize);
enum {ONormal, OChunked, OStream, OGzipStream};

#ifdef JP2K
extern char * IMGtoOBJ(char *src, char *original, int attrs, char ** img_attr, char ** img_val);
#endif

#endif //SRC_TEXT_H
